Bug 1333904

Summary: Subscription-manager-gui's combo "Service level preferences" does not change it's name if some value is choosen from AT-SPI perspective
Product: Red Hat Enterprise Linux 7 Reporter: Jan Stavel <jstavel>
Component: subscription-managerAssignee: William Poteat <wpoteat>
Status: CLOSED ERRATA QA Contact: Jan Stavel <jstavel>
Severity: low Docs Contact:
Priority: medium    
Version: 7.0CC: bkearney, jmolet, redakkan, skallesh, vrjain, wpoteat
Target Milestone: pre-dev-freezeKeywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-03 20:28:42 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Stavel 2016-05-06 15:38:28 UTC
Description of problem:

   Desktop acceptance tests of Subscription Manager cannot get a value of an actual selected item of a combo box.
   It is due to a fact that combo does not change its name to an actual selected item value.

   The combo is in a subscription-manager-gui - "System" / "Preferences" / "Service level preference".

   I have added an example from orca source repo. I hope it helps.

   - a combo has handler for "changed" event
     https://github.com/GNOME/orca/blob/master/src/orca/orca-setup.ui#L1162

   - the handler sets a name of the combo each time some value is selected
     https://github.com/GNOME/orca/blob/master/src/orca/orca_gui_prefs.py#L2080

   BTW: this is an improvement that helps desktop acceptance tests that work with this combo.


Steps to Reproduce:

    Given I open sniff (from dogtail package)
    and I start subscription-manager-gui
    and I open a dialog "System" / "Preferences" in subscription-manager-gui
    and I find a combo "sla_selection_combobox" in sniff

    When I select a value "Basic"
    Then I still see that name of the combo is equal to a value "sla_selection_combobox" in sniff.

    It should be set to something similar to: "sla_selection_combobox|Basic" or "Basic".


Actual results:

   Name of combo is "sla_selection_combobox" no mather what value is selected.


Expected results:

   It should be set to something similar to: "sla_selection_combobox|Basic" or "Basic" (if value "Basic" is selected).

Additional info:

Comment 2 William Poteat 2016-07-01 17:51:34 UTC
PR filed https://github.com/candlepin/subscription-manager/pull/1445

Comment 3 William Poteat 2016-08-04 15:12:24 UTC
master commit c786fb488bc85158ffbc44934b2bef1782647f1f

Comment 4 Jan Stavel 2016-08-09 12:49:41 UTC
Hello I'll write a small test for this.
It is better to have a small test just for this although this feature is used in various tests.

Comment 6 Jan Stavel 2016-08-15 15:52:03 UTC
It works. Thanks.

Comment 8 errata-xmlrpc 2016-11-03 20:28:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html